diff -ruN --exclude=.svn ../trunk-debian/debian/changelog misdn-kernel-1.1.7/debian/changelog
--- ../trunk-debian/debian/changelog	2008-01-15 10:23:32.000000000 +0000
+++ misdn-kernel-1.1.7/debian/changelog	2008-01-15 11:09:09.000000000 +0000
@@ -1,3 +1,12 @@
+misdn-kernel (1.1.7-2.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * add patch from upstream to build with kernel >= 2.6.23
+  * add variable CONFIGS and MISDNVERSION variables from Makefile's upstream.
+    Adding EXTRA_CFLAGS using CONFIGS varialble.
+
+ -- Victor Seva <linuxmaniac@torreviejawireless.org>  Tue, 15 Jan 2008 11:06:39 +0000
+
 misdn-kernel (1.1.7-2) UNRELEASED; urgency=low
 
   * debian/rules: 
diff -ruN --exclude=.svn ../trunk-debian/debian/patches/2_6_23_fix misdn-kernel-1.1.7/debian/patches/2_6_23_fix
--- ../trunk-debian/debian/patches/2_6_23_fix	1970-01-01 00:00:00.000000000 +0000
+++ misdn-kernel-1.1.7/debian/patches/2_6_23_fix	2008-01-15 10:41:21.000000000 +0000
@@ -0,0 +1,74 @@
+Index: misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/capi.c
+===================================================================
+--- misdn-kernel-1.1.7.orig/drivers/isdn/hardware/mISDN/capi.c	2008-01-15 10:39:36.000000000 +0000
++++ misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/capi.c	2008-01-15 10:40:42.000000000 +0000
+@@ -258,7 +258,11 @@
+ #else
+ 				sizeof(_cmsg),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
+ 	if (!mISDN_cmsg_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+@@ -269,7 +273,12 @@
+ #else
+ 				sizeof(AppPlci_t),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
++
+ 	if (!mISDN_AppPlci_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+@@ -280,7 +289,11 @@
+ #else
+ 				sizeof(Ncci_t),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
+ 	if (!mISDN_ncci_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+@@ -291,7 +304,12 @@
+ #else
+ 				sizeof(SSProcess_t),
+ #endif
+-				0, 0, NULL, NULL);
++				0, 0, NULL
++#ifdef MISDN_COMPAT_KMEMCACHE
++				, NULL
++#endif
++				);
++
+ 	if (!mISDN_sspc_cp) {
+ 		CapiCachesFree();
+ 		return(-ENOMEM);
+Index: misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/udevice.c
+===================================================================
+--- misdn-kernel-1.1.7.orig/drivers/isdn/hardware/mISDN/udevice.c	2008-01-15 10:39:50.000000000 +0000
++++ misdn-kernel-1.1.7/drivers/isdn/hardware/mISDN/udevice.c	2008-01-15 10:40:42.000000000 +0000
+@@ -2025,9 +2025,8 @@
+ 	if ((err = mISDN_unregister(&udev_obj))) {
+ 		printk(KERN_ERR "Can't unregister UserDevice(%d)\n", err);
+ 	}
+-	if ((err = unregister_chrdev(mISDN_MAJOR, "mISDN"))) {
+-		printk(KERN_WARNING "mISDN: devices busy on remove\n");
+-	}
++	
++	unregister_chrdev(mISDN_MAJOR, "mISDN");
+ #ifdef CONFIG_DEVFS_FS
+ 	devfs_remove("mISDN");
+ #endif
diff -ruN --exclude=.svn ../trunk-debian/debian/patches/series misdn-kernel-1.1.7/debian/patches/series
--- ../trunk-debian/debian/patches/series	2008-01-15 10:23:32.000000000 +0000
+++ misdn-kernel-1.1.7/debian/patches/series	2008-01-15 10:37:52.000000000 +0000
@@ -1,2 +1,3 @@
 hfcmulti_c90
 hfcmulti_bigendian
+2_6_23_fix
diff -ruN --exclude=.svn ../trunk-debian/debian/rules-template misdn-kernel-1.1.7/debian/rules-template
--- ../trunk-debian/debian/rules-template	2008-01-15 10:23:32.000000000 +0000
+++ misdn-kernel-1.1.7/debian/rules-template	2008-01-15 11:05:00.000000000 +0000
@@ -81,17 +81,19 @@
 
 export EXTRA_CFLAGS
 
+# export way... 
+
 CONFIG_MISDN_DRV=m
 ifneq ($(CONFIG_PPC64),y)
-CONFIG_MISDN_AVM_FRITZ=y
+CONFIG_MISDN_AVM_FRITZ=m
 endif
-CONFIG_MISDN_HFCPCI=y
-CONFIG_MISDN_HFCUSB=y
-CONFIG_MISDN_SPEEDFAX=y
-CONFIG_MISDN_W6692=y
-CONFIG_MISDN_HFCMULTI=y
-CONFIG_MISDN_NETJET=y
-CONFIG_MISDN_NETDEV=y
+CONFIG_MISDN_HFCPCI=m
+CONFIG_MISDN_HFCUSB=m
+CONFIG_MISDN_SPEEDFAX=m
+CONFIG_MISDN_W6692=m
+CONFIG_MISDN_HFCMULTI=m
+CONFIG_MISDN_NETJET=m
+#CONFIG_MISDN_NETDEV=y
 #CONFIG_I4L_CAPI_LAYER=y
 
 export CONFIG_MISDN_DRV CONFIG_MISDN_AVM_FRITZ CONFIG_MISDN_HFCPCI
@@ -99,6 +101,36 @@
 export CONFIG_MISDN_HFCMULTI CONFIG_MISDN_NETJET CONFIG_MISDN_NETDEV
 export CONFIG_I4L_CAPI_LAYER
 
+CONFIG_MISDN_DSP=m
+CONFIG_MISDN_HFCMINI=m
+CONFIG_MISDN_XHFC=m
+
+MAJOR=1
+MINOR=1
+SUBMINOR=7
+MISDNVERSION=$(shell echo $(MAJOR)_$(MINOR)_$(SUBMINOR))
+
+export CONFIG_MISDN_DSP CONFIG_MISDN_HFCMINI CONFIG_MISDN_XHFC
+export MISDNVERSION
+
+# CONFIGS way
+
+CONFIGS+=CONFIG_MISDN_DRV=m
+ifneq ($(CONFIG_PPC64),y)
+CONFIGS+=CONFIG_MISDN_AVM_FRITZ=m
+endif
+CONFIGS+=CONFIG_MISDN_HFCPCI=m
+CONFIGS+=CONFIG_MISDN_HFCUSB=m
+CONFIGS+=CONFIG_MISDN_SPEEDFAX=m
+CONFIGS+=CONFIG_MISDN_W6692=m
+CONFIGS+=CONFIG_MISDN_HFCMULTI=m
+CONFIGS+=CONFIG_MISDN_NETJET=m
+CONFIGS+=CONFIG_MISDN_DSP=m
+CONFIGS+=CONFIG_MISDN_HFCMINI=m
+CONFIGS+=CONFIG_MISDN_XHFC=m
+CONFIGS+=MISDNVERSION=$(MISDNVERSION)
+CONFIGS+=EXTRA_CFLAGS=$(EXTRA_CFLAGS)
+
 kdist: kdist_clean kdist_config kdist_image
 
 kdist_config:
@@ -121,6 +153,7 @@
 	  M=$M \
 	  $(parallel) \
 	  $(EXTRAV_ARG) \
+	  $(CONFIGS) \
 	  modules
 
 binary-modules: build-modules
